Skip to navigation

List target logs

Everything the pentest did against one target, whether or not it produced an issue.

Requires the pentests:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

targetIdstringRequired
Target UUID, from List pentest targets.

Query parameters

levelenumOptional
Allowed values:
roleenumOptional
Allowed values:
limitintegerOptional1-500
Maximum entries to return. Defaults to 100.

Response

Log entries, oldest first.
targetIdstringformat: "uuid"
totalLogsinteger
Entries matching the filters.
returnedLogsinteger
logslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error